curl --request GET \
--url https://api.fintoc.com/v2/accounts/{id}/certificate \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/accounts/{id}/certificate"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/accounts/{id}/certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/accounts/{id}/certificate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/accounts/{id}/certificate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/accounts/{id}/certificate")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/accounts/{id}/certificate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "account_certificate",
"account_id": "acc_31yYL7h9LVPg121AgFtCyJPDsgM",
"account_number_id": "acno_31yYL5uOb39vzvRIszPhoXYMjt4",
"download_url": "https://storage.example.com/account_certificates/certificate.pdf?signature=2d9a",
"expires_at": "2026-11-09T18:05:00Z"
}{
"error": {
"type": "invalid_request_error",
"code": "not_supported_mode",
"param": "mode",
"message": "Not supported mode: test. Currently, supported modes are: live.",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"message": "Invalid API Key: invalid-*oken",
"type": "invalid_request_error",
"code": "invalid_api_key",
"doc_url": "https://docs.fintoc.com/reference/errors",
"param": "amount"
}
}{
"error": {
"message": "Invalid API Key: invalid-*oken",
"type": "invalid_request_error",
"code": "invalid_api_key",
"doc_url": "https://docs.fintoc.com/reference/errors",
"param": "amount"
}
}{
"error": {
"type": "invalid_request_error",
"code": "account_certificate_unavailable",
"message": "The account is not active",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Get an account certificate
Returns a temporary URL to download the certificate (constancia de cuenta) for the account’s root account number, a standardized Mexican bank account number (CLABE), as a PDF file. The certificate states the holder’s legal name, Mexican tax ID (RFC), fiscal address, and CLABE. It is available for Mexican accounts in live mode only. The URL expires 5 minutes after the request.
curl --request GET \
--url https://api.fintoc.com/v2/accounts/{id}/certificate \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/accounts/{id}/certificate"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/accounts/{id}/certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/accounts/{id}/certificate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/accounts/{id}/certificate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/accounts/{id}/certificate")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/accounts/{id}/certificate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "account_certificate",
"account_id": "acc_31yYL7h9LVPg121AgFtCyJPDsgM",
"account_number_id": "acno_31yYL5uOb39vzvRIszPhoXYMjt4",
"download_url": "https://storage.example.com/account_certificates/certificate.pdf?signature=2d9a",
"expires_at": "2026-11-09T18:05:00Z"
}{
"error": {
"type": "invalid_request_error",
"code": "not_supported_mode",
"param": "mode",
"message": "Not supported mode: test. Currently, supported modes are: live.",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"message": "Invalid API Key: invalid-*oken",
"type": "invalid_request_error",
"code": "invalid_api_key",
"doc_url": "https://docs.fintoc.com/reference/errors",
"param": "amount"
}
}{
"error": {
"message": "Invalid API Key: invalid-*oken",
"type": "invalid_request_error",
"code": "invalid_api_key",
"doc_url": "https://docs.fintoc.com/reference/errors",
"param": "amount"
}
}{
"error": {
"type": "invalid_request_error",
"code": "account_certificate_unavailable",
"message": "The account is not active",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Authorizations
Path Parameters
Identifier of the account whose certificate you want to download.
Response
The download URL and expiration of the certificate.
Download details for a constancia de cuenta, the certificate of a standardized Mexican bank account number (CLABE).
Type of the object. Always account_certificate.
account_certificate "account_certificate"
Identifier of the account that holds the CLABE.
"acc_31yYL7h9LVPg121AgFtCyJPDsgM"
Identifier of the account number (CLABE) the certificate is for.
"acno_31yYL5uOb39vzvRIszPhoXYMjt4"
Temporary URL to download the certificate as a PDF file. The URL expires at expires_at. Call the endpoint again to get a new URL.
"https://storage.example.com/account_certificates/certificate.pdf?signature=2d9a"
ISO 8601 datetime in UTC when the download URL expires.
"2026-11-09T18:05:00Z"
Was this page helpful?